Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.


Warning
This documentation page describes a legacy method of upgrading CAST AIP. This documentation is no longer maintained and may contain obsolete information. You should instead refer to Upgrade process.


Panel

On this page:

Table of Contents
maxLevel2

Target audience:

CAST AI Administrators

...

Expand
titleShow me how to do this with the GUI...

Open CAST Server Manager as detailed in Step 1. CAST Server Manager displays all the upgradable Combined Installations located on the host RDBMS under the Combined Installations (Out-of-date) node. In the image below, the highlighted set of CAST AIP schemas (installed as part of a Combined Installation) has "Upgrades Available", indicating that they can be upgraded:


  • Select (in the left hand panel) the root item of a set of schemas (installed as part of a Combined Installation) that you would like to upgrade and then click Schema Installation > Upgrade Installation:

  • The wizard "Select Extensions to install" is then displayed:

  • You now need to choose the Version of the Extension you would like to upgrade/install. To do so use the drop down list in the Version column:

Info

Note:

  • extensions shipped with CAST AIP and not already installed will be pre-selected for installation and it will not be possible to change this
  • any previously installed extensions will not be automatically selected for upgrade, even if a more recent version of an extension is shipped with the new release of AIP or has been downloaded to the workstation manually. To benefit from latest improvements and bug fixing in the most recent extension version, you need to explicitly select the new release of the extension for upgrade
  • if you see the <all users dir> option this indicates that custom legacy Universal Analyzer language packs exist in <CAST_ALL_USERS_PATH> and will be installed as part of the upgrade process (see also related note in Preparing for upgrade).
  • Any additional extensions that your selected extension requires (i.e. Dependencies) will also be selected for upgrade/installation automatically:

  • Once all required extensions have been selected for installation/upgrade, click the Next button to continue.
  • The wizard Assessment Model Upgrade Options is then displayed. You will be asked to choose an option with regard to the handling of the Assessment Model during the upgrade - note that no option will be pre-selected so you MUST choose an option that meets your needs (see Preparing for upgrade for an explanation of the available options):

  • Click Next to continue after having chosen an option:


  • Accept the warning and summary dialog boxes and let the upgrade proceed:

  • On completion, the Combined Installation is now displayed as up-to-date:

Info

Note that:

  • The update of a Management Service schema will be cancelled if one of the Analysis or Dashboard Service schemas associated with the respective Management Service schemas is invalid, unreachable or already updated. In this situation CAST recommends restoring your backup database/schemas and starting again.
  • The above upgrade process will retain your existing CAST AIP global license key for use with the new release of CAST AIP.

Logs and error numbers

All logs associated with the combined schema installation upgrade are stored in the following location by default:

Code Block
languagetext
%PROGRAMDATA%\CAST\CAST\Logs\ServMan

The following section lists the error numbers that may be returned when attempting to run the upgrade:

NumberDescriptionSolution
3001An attempt was made to upgrade Application schemas that were installed with a version of AIP Core ≤ 7.3.x. This is not supported.Ensure that all Application schemas involved in the upgrade are installed with AIP Core ≥ 8.3.x.
3002An attempt was made to upgrade Application schemas in which no snapshot exists.Ensure that at least one Snapshot exists in the Application schemas you want to upgrade.
3003An attempt was made to upgrade Application schemas where not all schemas are installed with the same release of AIP Core.Ensure that all Application schemas involved in the upgrade are installed with the same release of AIP Core.
3004The Application schemas you want to upgrade have no Delivery folder defined.Only occurs when attempting to upgrade from AIP Core 7.0.x, which is not supported.
3005

The Delivery folder associated to the Application schemas you want to upgrade cannot be found on disk or is not accessible.

Ensure that the Delivery folder associated to the Application schemas you want to upgrade exists and can be accessed from the server you are running the upgrade on.
3006The Delivery folder associated to the Application schemas you want to upgrade is more recent than the current release of CAST Server Manager you are using.Ensure that you are using the correct release of CAST Server Manager to perform the upgrade and that you are not attempting to perform an upgrade on a Delivery folder that is assigned to a more recent release of AIP Core
3007An error exists in the AIP Core metamodel that is preventing the upgrade from proceeding.Please contact CAST Support for help with this error.
3008An SQL error has occurred during the upgrade process.Please contact CAST Support for help with this error.



Expand
titleShow me how to do this with the CLI...

CAST provides a dedicated batch file that can automate the upgrade of a combined installation including AIP core and extensions. You can find out more about this in Automating the CAST AIP Upgrade process. Ensure you have read Preparing for upgrade and completed any required actions before using the batch file.

...